-- Mail Infotext

-- ####################################################################################################################
-- ##### Setup and Locals #############################################################################################
-- ####################################################################################################################

---@type string, LUIAddon
local _, LUI= ...
local L = LUI.L

---@type InfotextModule
local module = LUI:GetModule("Infotext")
local element = module:NewElement("Mail")

local GetInboxNumItems = _G.GetInboxNumItems
local HasNewMail = _G.HasNewMail

-- ####################################################################################################################
-- ##### Module Functions #############################################################################################
-- ####################################################################################################################

function module:SetMail()
    local f = CreateFrame("Frame")
    f:SetScript("OnEvent", function()
        local db = module.db.profile.Mail
        local numMail, totalItems = GetInboxNumItems()
        local hasNew = HasNewMail()
        element.text = format("Mail: "..numMail.."/"..totalItems) .. ( hasNew and db.NewIndic or "" )
    end)
    f:RegisterEvent("MAIL_INBOX_UPDATE")
    f:RegisterEvent("UPDATE_PENDING_MAIL")

end

-- ####################################################################################################################
-- ##### Infotext Display #############################################################################################
-- ####################################################################################################################

-- function element.OnTooltipShow(GameTooltip)
-- end

-- ####################################################################################################################
-- ##### Framework Events #############################################################################################
-- ####################################################################################################################

function element:OnCreate()
    module:SetMail()
end
